<div>
    <h2>
        <span>Ideas</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-ideas" [routerLink]="['/', { outlets: { popup: ['ideas-new'] } }]">
            <span class="fa fa-plus"></span>
            <span >
            Create new Ideas
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="ideas">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span>ID</span></th>
            <th><span>Titre</span></th>
            <th><span>Genre</span></th>
            <th><span>Emotions</span></th>
            <th><span>Phrase Synopsis</span></th>
            <th><span>Keywords</span></th>
            <th><span>Roles</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let ideas of ideas ;trackBy: trackId">
                <td><a [routerLink]="['../ideas', ideas.id ]">{{ideas.id}}</a></td>
                <td>{{ideas.titre}}</td>
                <td>{{ideas.genre}}</td>
                <td>{{ideas.emotions}}</td>
                <td>{{ideas.phraseSynopsis}}</td>
                <td>{{ideas.keywords}}</td>
                <td>{{ideas.roles}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../ideas', ideas.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'ideas/'+ ideas.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'ideas/'+ ideas.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
